libxkbcommon 1.11.0 Library implementing the XKB specification for parsing keyboard descriptions and handling keyboard state

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
xkb_component_names Struct Reference
Rules

`#include <xkbcommon.h>`

## Public Member Functions
XKB_EXPORT bool | xkb_components_names_from_rules (struct xkb_context *context, const struct xkb_rule_names *rmlvo_in, struct xkb_rule_names *rmlvo_out, struct xkb_component_names *components_out)

## Data Fields
char * | keycodes
char * | compatibility
char * | geometry
char * | symbols
char * | types

## Detailed Description

Keymap components, also known as KcCGST.

The components are the result of the RMLVO resolution.

See also
  Introduction to RMLVO
  Introduction to KcCGST
  Rules

The documentation for this struct was generated from the following file:

- include/xkbcommon/xkbcommon.h